MacNN Forums (
-   iPhone, iPad & iPod (
-   -   Can't Update iTouch (

adamsdad Feb 9, 2013 07:23 PM
Can't Update iTouch
I was trying to download some apps for my son's iTouch and the apps I was selecting were saying I needed a newer OS. I have 4.2.1. I know 4.3 is out there but when I check for update I get the message that my OS is current.
What gives?
Spheric Harlot Feb 10, 2013 03:10 AM
The second-generation iPod touch cannot be upgraded past 4.2.1. It requires newer hardware.

If it is a third-generation iPod touch, but iTunes is telling you it's up to date: upgrading to and syncing with a newer iOS version requires a more recent version of iTunes.

The last version of iTunes that ran under 10.4.11 is only able to deal with iOS up to 4.2.1, IIRC. Going beyond that requires installation of 10.5 or 10.6, and then a newer iTunes.
msuper69 Feb 10, 2013 08:34 PM
Quote, Originally Posted by adamsdad (Post 4216556)
... iTouch...
For Pete's sake, it's an iPod Touch.
There's no such thing as an iTouch.
Good grief! :brick:
All times are GMT -4. The time now is 12:55 PM.

Copyright © 2005-2007 MacNN. All rights reserved.
Powered by vBulletin® Version 3.8.8
Copyright ©2000 - 2016, vBulletin Solutions, Inc.

Content Relevant URLs by vBSEO 3.3.2